<?php
  ///////////////////////////////////////////////////
  // Система учёта посещаемости сайта - PowerCounter
  // 2003-2006 (C) IT-студия SoftTime (http://www.softtime.ru)
  // Поддержка: http://www.softtime.ru/forum/
  // Левин А.В. (loki_angel@mail.ru)
  // Симдянов И.В. (simdyanov@softtime.ru)
  // Кузнецов М.В. (kuznetsov@softtime.ru)
  // Голышев С.В. (softtime@softtime.ru)
  ///////////////////////////////////////////////////
  // Выставляем уровень обработки ошибок (http://www.softtime.ru/info/articlephp.php?id_article=23)
  Error_Reporting(E_ALL & ~E_NOTICE); 

  $title = 'Статистика поисковых запросов'; 
  $pageinfo = 'На этой странице вы можете видеть статистику по количеству поисковых запросов за различные периоды времени.
               По умолчанию выводится только 20 наиболее распространённых запросов, чтобы открыать все перейдите по ссылке
               <a href=quers.php?limit=full>Полный отчёт</a>';  
  // Заголовок страницы
  include "topcounter.php";

  if(empty($_GET['limit'])) $limit = "LIMIT 20";
  else $limit = "";

  // Эта переменная определяет осуществляется ли запрос к конкретной
  // странице или ко всему сайту.
  if(empty($_GET['id_page'])) $tmp_page = "";
  else $tmp_page = " AND id_page = ".$_GET['id_page'];

  // Запрос на статистику за временной интервал определяемый
  // параметрами $begin,$end
  $begin = 1;
  $end   = 0;
  $tmp1 = " putdate < DATE_FORMAT( NOW( ) , '%Y-%m-%d 23:59:59' ) - INTERVAL ".$end." DAY ";
  $tmp2 = " AND putdate >= DATE_FORMAT( NOW( ) , '%Y-%m-%d 23:59:59' ) - INTERVAL ".$begin." DAY ";
  $end = $tmp1.$tmp2.$tmp_page;
  
  // Запрос статистики поисковых слов
  $query = "SELECT query, COUNT(query) AS hits 
            FROM $tbl_searchquerys 
            WHERE $end 
            GROUP BY query 
            ORDER BY hits DESC
            $limit";
  $sch = mysql_query($query);
  if(!$sch) puterror("Ошибка при обращении к запросам");
?>
  <table class="table" width="60%" border="0" cellpadding="0" cellspacing="0">
  <tr class="header"><td>Запрос</td><td>К-во переходов</td></tr>
<?php
  // Если имеется хоть одна запись - выводим таблицу
  if (mysql_num_rows($sch)>0)
  {
    $sum=0;
    while ($search = mysql_fetch_array($sch))
    {
      if(trim($search['query']) == "") continue;
      echo "<tr><td><p>".htmlspecialchars($search['query'])."</p></td><td><p>".$search['hits']."</p></td></tr>";
      $sum += $search['hits'];
    }
  }
  echo "<tr>
         <td><b>Всего переходов</b></td>
         <td><b>$sum</b></td>
        </tr></table>";

  include "bottomcounter.php";
?>
